<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: last_seen_users_panel.php
| Author: Johan L. (WeDgEMasTeR)
| Site: http://www.phpfusion-fr.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."last_seen_users_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."last_seen_users_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."last_seen_users_panel/locale/English.php";
}



openside($locale['lsup000']);

echo "<script type=\"text/javascript\" src=\"".INFUSIONS."last_seen_users_panel/jquery.lastseenusers.js \"></script>
<script type='text/javascript'>
$(document).ready(function() {
$.lastseenusers.set({
	url: \"".INFUSIONS."last_seen_users_panel/last_seen_users_data.php\", 
	delay: 10000, 
	div_id: 'list_last_seen_users'
}, function () {
// Callback Function
});
});
</script>";
				
echo "<div id='list_last_seen_users'>";

	$result = dbquery("SELECT * FROM ".DB_USERS." WHERE user_lastvisit>'0' AND user_status='0' ORDER BY user_lastvisit DESC LIMIT 0,10");

	if (dbrows($result) != 0) {

		echo '<table cellpadding="0" cellspacing="0" width="100%">';
		while ($data = dbarray($result)) {
			$lastseen = time() - $data['user_lastvisit'];
			$iW=sprintf("%2d",floor($lastseen/604800));
			$iD=sprintf("%2d",floor($lastseen/(60*60*24)));
			$iH=sprintf("%02d",floor((($lastseen%604800)%86400)/3600));
			$iM=sprintf("%02d",floor(((($lastseen%604800)%86400)%3600)/60));
			$iS=sprintf("%02d",floor((((($lastseen%604800)%86400)%3600)%60)));
			if ($lastseen < 60){
				$lastseen= $locale['lsup001'];
			} elseif (($lastseen > 60) && ($lastseen < $iD)) {
				if ($iM == 1) { $text = $locale['lsup002']; } else { $text = $locale['lsup0021']; }
				$lastseen = $iH.":".$iM.":".$iS;
			} elseif ($iW > 0){
				if ($iW == 1) { $text = $locale['lsup003']; } else { $text = $locale['lsup004']; }
				$lastseen = $iW." ".$text;
			} elseif ($iD > 0){
				if ($iD == 1) { $text = $locale['lsup005']; } else { $text = $locale['lsup006']; }
				$lastseen = $iD." ".$text;
			} else {
				$lastseen = $iH.":".$iM.":".$iS;
			}

			echo '<tr><td class="side-small" align="left"><span class="bullet">&middot;</span> ';

         if ($data['user_avatar'] != "") {
            $avatar = "<center><img src=".IMAGES."avatars/".$data['user_avatar']." width=100/></center>";
         } else {
            $avatar = "<center><img src=".IMAGES."avatars/noavatar.gif width=100/></center>";
         }

         if ($data['user_location'] != "") {
            $location = "".$data['user_location']."";
         } else {
            $location = "b/d";
         }

         if ($data['user_gg'] != "") {
            $gadugadu = "<center><img src=http://www.gadu-gadu.pl/users/status.asp?id=".$data['user_gg']."&styl=4 /></center><br />";
         } else {
            $gadugadu = "";
         }

	echo "<a\n"; 
	echo "TITLE='header=[".$data['user_name']."] body=[<center>".$avatar."</center><hr /><br /><center>Miasto: <b>".$location."</b></center><br />".$gadugadu."<center>Ostatnio widziany(a):<br /><b> ".showdate("longdate", $data['user_lastvisit'])."</b></center>]'";

			echo '<a href="'.BASEDIR.'profile.php?lookup='.$data['user_id'].'">';
//			echo <a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>";
			if ($data['user_level'] == 103) {
				echo '<font color="#CC0000"><b>'.trimlink($data['user_name'], 10).'</b></font></a></td>';
			} 
			else if ($data['user_level'] == 102) {
				echo '<font color="#CC0000"><b>'.trimlink($data['user_name'], 10).'</b></font></a></td>';
			} 
			else {
				echo trimlink($data['user_name'], 10). '</a></td>';
			}
			if ($lastseen == "En ligne") {
				echo '<td class="side-small" align="right"><font color="green"><b>'.$lastseen.'</b></font></td></tr>';
			} else {		
				echo '<td class="side-small" align="right">'.$lastseen.'</td></tr>';
			}
		}
		echo '</table>';
	}
	

echo "</div>";

closeside();
?>